<Project Sdk="Microsoft.NET.Sdk.BlazorWebAssembly">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Blazored.LocalStorage" Version="4.5.0" />
    <PackageReference Include="Blazored.Modal" Version="7.3.1" />
    <PackageReference Include="Blazored.Toast" Version="4.2.1" />
    <PackageReference Include="Microsoft.AspNetCore.Components" Version="8.0.20" />
    <PackageReference Include="Microsoft.AspNetCore.Components.Authorization" Version="8.0.17" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly" Version="8.0.20" />
    <PackageReference Include="Microsoft.AspNetCore.Components.WebAssembly.DevServer" Version="8.0.20" PrivateAssets="all" />
    <PackageReference Include="Microsoft.Extensions.Http" Version="8.0.1" />
    <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="8.9.0" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\..\ChatConversationStructure\ChatConversationStructure.csproj" />
    <ProjectReference Include="..\..\EmailStructure\EmailStructure.csproj" />
    <ProjectReference Include="..\..\OllamaModels\OllamaModels.csproj" />
    <ProjectReference Include="..\ReAct_PME.Domain\ReAct_PME.Domain.csproj" />
  </ItemGroup>

</Project>
